gvfs-mount doesn't work with smb* 4.3.8 on a NetApp

Bug #1576109 reported by Samuel Bancal on 2016-04-28
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
samba
Unknown
Unknown
samba (Debian)
Fix Released
Unknown
samba (Ubuntu)
Undecided
Unassigned

Bug Description

After upgrading samba to 4.3.8, we can't mount any more our filers with gvfs-mount (or with the Files browser's "Connect to server" dialog).

This occurs on every supported Ubuntu : 12.04, 14.04, 15.10, 16.04
samba-common 2:4.3.8+dfsg-0ubuntu0.14.04.2

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: samba (not installed)
ProcVersionSignature: Ubuntu 3.19.0-58.64~14.04.1-generic 3.19.8-ckt16
Uname: Linux 3.19.0-58-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Apr 28 11:02:17 2016
InstallationDate: Installed on 2015-09-02 (239 days ago)
InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
RelatedPackageVersions:
 nautilus 1:3.10.1-0ubuntu9.11
 gvfs 1.20.3-0ubuntu1.2
SambaClientRegression: Yes
SourcePackage: samba
UpgradeStatus: No upgrade log present (probably fresh install)

Samuel Bancal (samuel-bancal) wrote :
tags: added: regression-update sts
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in samba (Ubuntu):
status: New → Confirmed
Marc Deslauriers (mdeslaur) wrote :

Today's Samba update should contain the fix for this issue:

http://www.ubuntu.com/usn/usn-2950-2/

Could the original bug reporter please test the update and comment here? Thanks!

Samuel Bancal (samuel-bancal) wrote :

Hi,
I do confirm the patch solved the problem we encountered for 14.04 , 15.10 and 16.04 .
Unfortunately, 12.04 still can't mount NAS.

Regards,
Samuel

Marc Deslauriers (mdeslaur) wrote :

For 12.04 and the problem mounting your NAS, could you try adding the following to your /etc/samba/smb.conf, in the [global] section, and then rebooting?:

client ipc signing = disabled

Samuel Bancal (samuel-bancal) wrote :

Hi,
It doesn't change anything ... it's still asking me the password recursively for ever.

Marc Deslauriers (mdeslaur) wrote :

Hi,

I have uploaded a samba package for precise to the following PPA:

https://launchpad.net/~mdeslaur/+archive/ubuntu/testing

Once it finishes building, could you please give it a try? I have backported a commit that I believe may fix your issue.

Thanks!

Samuel Bancal (samuel-bancal) wrote :

Hi Marc,

I confirm the packages in your testing ppa fixes our problem. So GR8!!!

Thanks,
Samuel

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package samba - 2:3.6.25-0ubuntu0.12.04.4

---------------
samba (2:3.6.25-0ubuntu0.12.04.4) precise-security; urgency=medium

  * SECURITY REGRESSION: compatibility with NetAPP SAN (LP: #1576109)
    - debian/patches/fix_netapp.patch: don't require NTLMSSP_SIGN for smb
      connections in source3/libsmb/ntlmssp.c.
  * SECURITY REGRESSION: compatibility with 3.6 servers (LP: #1574403)
    - debian/patches/relax_client_ipc_signing.patch: relax the
      "client ipc signing" parameter to "auto" so a 3.6 client can still
      connect to a 3.6 server. Administrators in environments that
      exclusively connect to more recent servers might want to manually
      configure this back to "mandatory".

 -- Marc Deslauriers <email address hidden> Thu, 12 May 2016 11:51:56 -0400

Changed in samba (Ubuntu):
status: Confirmed → Fix Released
Samuel Bancal (samuel-bancal) wrote :

I do confirm the bug is fixed with the new package.
Thanks!!

Changed in samba (Debian):
status: Unknown → Confirmed
Changed in samba (Debian):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.